ECHO(1) | General Commands Manual | ECHO(1)

# NAME

echo — write arguments to the standard output

# SYNOPSIS

echo | [-n] [string ...]

# DESCRIPTION

The echo utility writes any specified operands, separated by single blank (`` '') characters and followed by a newline (``\n'') character, to the standard output.

The following option is available:

-n
  Do not print the trailing newline character.

# EXIT STATUS

The echo utility exits 0 on success, and >0 if an error occurs.

# SEE ALSO

printf(1)

# STANDARDS

The echo utility is expected to be IEEE Std 1003.2 (“POSIX.2”) compatible.

July 22, 1993 | NetBSD 6.0